part of modern_form_filter;

class FilterHeader extends StatelessWidget {
  final String? title;
  final Icon? icon;

  const FilterHeader({Key? key, this.title, this.icon}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: <Widget>[
        icon ?? Container(),
        SizedBox(width: ScreenUtil().setSp(7)),
        Text(
          title ?? "",
          style: TextStyle(
              fontSize: ScreenUtil().setSp(17), fontWeight: FontWeight.w400),
        ),
      ],
    );
  }
}
