part of modern_form_filter;

class FilterListViewProfileIten extends StatelessWidget {
  final List<ModernFormBottomSheetProfileModel?>? itens;
  final void Function(int index)? onTapCloseIten;

  const FilterListViewProfileIten({Key? key, this.itens, this.onTapCloseIten})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
        shrinkWrap: true,
        physics: NeverScrollableScrollPhysics(),
        itemCount: itens?.length ?? 0,
        itemBuilder: (context, index) {
          ModernFormBottomSheetProfileModel? profile = itens![index];
          return Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              ModernFormFilterProfileIten(
                label: profile?.name != null && profile!.name!.isNotEmpty
                    ? profile.name
                    : "Nome",
                subTitle: profile?.description ?? "",
                image: profile?.imageUrl ?? "",
              ),
              IconButton(
                icon: Icon(Icons.close, size: ScreenUtil().setSp(20)),
                onPressed: () async {
                  onTapCloseIten!(index);
                },
              )
            ],
          );
        });
  }
}
